#version unofficial MegaPov 0.5;
#declare PigScan = pigment {image_map {png "wood15"}}

#declare ScanMap1 = color_map {
 #declare I=0;
 #while (I < 1)
  [I rgb eval_pigment (PigScan,<I,.5,.5>)]
 #declare I=I+(1/250);
 #end
}

#declare BoisMeublePig = pigment {wood color_map {ScanMap1} scale 15 warp {turbulence .1} scale 2}

#declare BoisMeuble=texture { pigment {BoisMeublePig}
                              normal {pigment_pattern {BoisMeublePig} 1} 
                              finish {phong .4 specular .2}   
                              translate 2
                              rotate <1,1.5,.2>
                              scale .3
                              translate 25
                              }
#declare Bois_Enceinte = texture {BoisMeuble}

#declare VisCrux6=intersection {
 cylinder {<0,0,0>,<0,.5,0>,.4}
 sphere {<0,-1,0>,1 translate y*.2}
 cylinder {<-.05,.35,0>,<.05,.35,0>,.3 inverse}
 cylinder {<-.05,.35,0>,<.05,.35,0>,.3 rotate y*90 inverse}
 pigment {rgb .03} finish {phong .8 reflection .1}
 }

#declare Enclosure = union {
 box {<0,0,0>,<24,45.5,1.2> //lateral G
      clipped_by {plane {y,0 rotate x*-45 inverse}}
      clipped_by {plane {y,0 rotate x*45 translate y*45.5}}
      translate z*-(22.5/2)
      texture {Bois_Enceinte rotate x*-90}
      }
 box {<0,0,0>,<24,45.5,1.2> //lateral D
      clipped_by {plane {y,0 rotate x*-45 inverse}}
      clipped_by {plane {y,0 rotate x*45 translate y*45.5}}
      scale <1,1,-1> translate z*(22.5/2)
      texture {Bois_Enceinte rotate x*90}
      }

 box {<0,0,-11.25>,<24,1.2,11.25> //dessous
      clipped_by {plane {y,0 rotate x*-45 translate z*-11.25}}
      clipped_by {plane {y,0 rotate x*-45 translate z*-11.25 scale <1,1,-1>}}
      texture {Bois_Enceinte}
      }

 box {<0,0,-11.25>,<24,1.2,11.25> //dessus
      clipped_by {plane {y,0 rotate x*-45 translate z*-11.25}}
      clipped_by {plane {y,0 rotate x*-45 translate z*-11.25 scale <1,1,-1>}}
      scale <1,-1,1> translate y*45.5
      texture {Bois_Enceinte}
      }
 box {<23.2,1.2,-10.05>,<22,44.3,10.05> //baffle
      clipped_by {cylinder {<25,12,0>,<20,12,0>,8 inverse}}
      texture {Bois_Enceinte rotate x*90}
      }
 box {<.6,1.2,-10.05>,<1.8,44.3,10.05> //arriere
      texture {Bois_Enceinte rotate x*90}
      }

pigment {Red} 
}

#declare HP_Grave = union {
//bordure support
difference {
blob {threshold .6
      sphere {<0,0,0>,19,1}
      sphere {<9.5,0,0>,2,.1}
      sphere {<9.5,0,0>,2,.1 rotate y*90}
      sphere {<9.5,0,0>,2,.1 rotate y*180}
      sphere {<9.5,0,0>,2,.1 rotate y*270}
}
blob {threshold .6
      sphere {<0,0,0>,18.8,1}
      sphere {<9.5,0,0>,1.8,.1}
      sphere {<9.5,0,0>,1.8,.1 rotate y*90}
      sphere {<9.5,0,0>,1.8,.1 rotate y*180}
      sphere {<9.5,0,0>,1.8,.1 rotate y*270}
}
cylinder {<0,0,0>,<0,.5,0>,12 inverse}
}
//fond support
difference {
blob {threshold .6
      sphere {<0,0,0>,18.8,1}
      sphere {<9.5,0,0>,2.8,.1}
      sphere {<9.5,0,0>,2.8,.1 rotate y*90}
      sphere {<9.5,0,0>,2.8,.1 rotate y*180}
      sphere {<9.5,0,0>,2.8,.1 rotate y*270}

}
cylinder {<0,0,0>,<0,.2,0>,12 inverse}
cylinder {<0,-1,0>,<0,1,0>,8}
}
object {VisCrux6 translate <9.3,.2,0> rotate y*0}
object {VisCrux6 translate <9.3,.2,0> rotate y*90}
object {VisCrux6 translate <9.3,.2,0> rotate y*180}
object {VisCrux6 translate <9.3,.2,0> rotate y*270}

//caoutchouc plat
difference {
cylinder {<0,0,0>,<0,.4,0>,8.7}
cylinder {<0,-1,0>,<0,1,0>,5.5}
}
//suspension
#declare Suspension=union {
torus {7 .9}
torus {8 .1 clipped_by {cylinder {<0,0,0>,<0,-.1,0>,8}}}
torus {6 .1 clipped_by {torus {6.1 .1 translate y*-.1} }}
}
object {Suspension translate y*.5 finish {phong .1 specular .2} pigment {Gray05}}
//cone HP
torus {5.5 4.5 clipped_by {cylinder {<0,0,0>,<0,6,0>,5.5}} translate y*-4.2
       finish {phong .8} normal {quilted scale .3 rotate <27,14,4>} pigment {Gray05}}
//fond cone
sphere {<0,-3,0>,2 finish {phong .8}  normal {quilted scale .1} pigment {Gray05}}
pigment {Gray05} finish {specular .2}
}

#declare HP_Aigu = union {
intersection {
box {<-4.5,0,-6>,<4.5,.3,6>}
cylinder {<0,0,0>,<0,.4,0>,6}
torus {4 .1 translate y*.3 inverse}
cone {<0,.31,0>,1.5,<0,0,0>,1.2 inverse} 
} 
torus {1.1 .1 translate y*0}
sphere {0,1.8 translate y*-1.5 finish {phong .8}  normal {quilted scale .1} pigment {Gray05}}
union {object {VisCrux6 translate <5.5,.3,0>} object {VisCrux6 translate <2.2,.3,0>} rotate y*45}
union {object {VisCrux6 translate <5.5,.3,0>} object {VisCrux6 translate <2.2,.3,0>} rotate y*135}
union {object {VisCrux6 translate <5.5,.3,0>} object {VisCrux6 translate <2.2,.3,0>} rotate y*-45}
union {object {VisCrux6 translate <5.5,.3,0>} object {VisCrux6 translate <2.2,.3,0>} rotate y*-135}
pigment {Gray05} finish {phong .8}
}

#declare HP_Filtre = union {
box {<5,0,7.5-.8>,<-5,.3,-7.5+.8>}
box {<5-.8,0,7.5>,<-5+.8,.3,-7.5>}
cylinder {<4.2,0,6.7>,<4.2,.3,6.7>,.8}
cylinder {<-4.2,0,6.7>,<-4.2,.3,6.7>,.8}
cylinder {<4.2,0,-6.7>,<4.2,.3,-6.7>,.8}
cylinder {<-4.2,0,-6.7>,<-4.2,.3,-6.7>,.8}   
 union {
 difference {
   cylinder {<2.5,0,0>,<2.5,.5,0>,.75}
   cylinder {<2.5,.4,0>,<2.5,.6,0>,.65}
            }
 difference {
   cylinder {<2.5,0,0>,<2.5,.5,0>,.45}
   box {<.05,.4,.35>,<-.05,.6,-.35> rotate y*35 translate x*2.5}
            }
    translate y*.3
  }
object {VisCrux6 translate <4.2,.3,6.7>}
object {VisCrux6 translate <-4.2,.3,6.7>}
object {VisCrux6 translate <4.2,.3,-6.7>}
object {VisCrux6 translate <-4.2,.3,-6.7>}
pigment {image_map {png "filtremap"} rotate <90,-90,0> translate -.5 scale <10,1,15>} finish {phong .7}
}

#declare EnceinteDM5 = union {
object {Enclosure}
object {HP_Grave rotate y*45 rotate z*-90 translate <23.2,12,0>}
object {HP_Aigu rotate z*-90 translate <23.2,26,0>}
object {HP_Filtre rotate z*-90 translate <23.2,36,0>}
}